From e7f108b958bd1a01e495aa7c8a592a29a0c42b53 Mon Sep 17 00:00:00 2001
From: Pierre-Yves Chibon <pingou@pingoured.fr>
Date: Jun 30 2016 11:11:57 +0000
Subject: [PATCH 510/1001] Fix tests for /login/fedora which we dropped


---

diff --git a/hubs/tests/test_api/test_hub.py b/hubs/tests/test_api/test_hub.py
index 785aef3..2fd513f 100644
--- a/hubs/tests/test_api/test_hub.py
+++ b/hubs/tests/test_api/test_hub.py
@@ -18,7 +18,7 @@ class TestHubSubscribe(hubs.tests.APPTest):
         resp = self.app.post('/api/hub/{}/subscribe'.format(hub.name),
                              follow_redirects=False)
         self.assertEqual(resp.status_code, 302)
-        self.assertEqual(urlparse(resp.location).path, '/login/fedora')
+        self.assertEqual(urlparse(resp.location).path, '/login')
 
     def test_subscribe_when_logged_in(self):
         hub = hubs.models.Hub.by_name(self.session, 'infra')
@@ -39,7 +39,7 @@ class TestHubUnsubscribe(hubs.tests.APPTest):
         resp = self.app.post('/api/hub/{}/unsubscribe'.format(hub.name),
                              follow_redirects=False)
         self.assertEqual(resp.status_code, 302)
-        self.assertEqual(urlparse(resp.location).path, '/login/fedora')
+        self.assertEqual(urlparse(resp.location).path, '/login')
 
     def test_unsubscribe_when_logged_in(self):
         hub = hubs.models.Hub.by_name(self.session, 'infra')
@@ -65,7 +65,7 @@ class TestHubStar(hubs.tests.APPTest):
         resp = self.app.post('/api/hub/{}/star'.format(hub.name),
                              follow_redirects=False)
         self.assertEqual(resp.status_code, 302)
-        self.assertEqual(urlparse(resp.location).path, '/login/fedora')
+        self.assertEqual(urlparse(resp.location).path, '/login')
 
     def test_star_when_logged_in(self):
         hub = hubs.models.Hub.by_name(self.session, 'infra')
@@ -86,7 +86,7 @@ class TestHubUnstar(hubs.tests.APPTest):
         resp = self.app.post('/api/hub/{}/unstar'.format(hub.name),
                              follow_redirects=False)
         self.assertEqual(resp.status_code, 302)
-        self.assertEqual(urlparse(resp.location).path, '/login/fedora')
+        self.assertEqual(urlparse(resp.location).path, '/login')
 
     def test_unstar_when_logged_in(self):
         hub = hubs.models.Hub.by_name(self.session, 'infra')
@@ -113,7 +113,7 @@ class TestHubJoin(hubs.tests.APPTest):
         resp = self.app.post('/api/hub/{}/join'.format(hub.name),
                              follow_redirects=False)
         self.assertEqual(resp.status_code, 302)
-        self.assertEqual(urlparse(resp.location).path, '/login/fedora')
+        self.assertEqual(urlparse(resp.location).path, '/login')
 
     def test_join_when_logged_in(self):
         hub = hubs.models.Hub.by_name(self.session, 'infra')
@@ -134,7 +134,7 @@ class TestHubLeave(hubs.tests.APPTest):
         resp = self.app.post('/api/hub/{}/leave'.format(hub.name),
                              follow_redirects=False)
         self.assertEqual(resp.status_code, 302)
-        self.assertEqual(urlparse(resp.location).path, '/login/fedora')
+        self.assertEqual(urlparse(resp.location).path, '/login')
 
     def test_star_when_logged_in(self):
         hub = hubs.models.Hub.by_name(self.session, 'infra')
diff --git a/hubs/tests/test_fedora_hubs_flask_api.py b/hubs/tests/test_fedora_hubs_flask_api.py
index d9d2325..7500199 100644
--- a/hubs/tests/test_fedora_hubs_flask_api.py
+++ b/hubs/tests/test_fedora_hubs_flask_api.py
@@ -21,7 +21,7 @@ class HubsAPITest(hubs.tests.APPTest):
     def test_index_logged_out(self):
         result = self.app.get('/', follow_redirects=False)
         self.assertEqual(result.status_code, 302)
-        self.assertEqual(urlparse(result.location).path, "/login/fedora")
+        self.assertEqual(urlparse(result.location).path, "/login")
 
     def test_index_logged_in(self):
         user = tests.FakeAuthorization('ralph')
@@ -31,7 +31,7 @@ class HubsAPITest(hubs.tests.APPTest):
             # assert the status code of the response
             self.assertEqual(result.status_code, 200)
             self.assertFalse('Not logged in.  Click to <a href="'
-                             '/login/fedora">login</a>' in result.data)
+                             '/login">login</a>' in result.data)
 
     def test_hub_logged_out(self):
         with app.test_request_context('/ralph'):
@@ -42,7 +42,7 @@ class HubsAPITest(hubs.tests.APPTest):
             # assert the status code of the response
             self.assertEqual(result.status_code, 200)
             str_expected = 'Not logged in.  Click to ' \
-                           '<a href="/login/fedora">login</a>'
+                           '<a href="/login">login</a>'
             self.assertTrue(str_expected in result.data)
 
     def test_groups_logged_out(self):
@@ -50,7 +50,7 @@ class HubsAPITest(hubs.tests.APPTest):
         # assert the status code of the response
         self.assertEqual(result.status_code, 302)
         # this will redirect to fedora.login
-        self.assertEqual(urlparse(result.location).path, "/login/fedora")
+        self.assertEqual(urlparse(result.location).path, "/login")
 
     def test_groups_logged_in(self):
         user = tests.FakeAuthorization('ralph')
@@ -66,7 +66,7 @@ class HubsAPITest(hubs.tests.APPTest):
             result = self.app.get('/ralph', follow_redirects=True)
             self.assertEqual(result.status_code, 200)
             self.assertFalse('Not logged in.  Click to <a href="'
-                             '/login/fedora">login</a>' in result.data)
+                             '/login">login</a>' in result.data)
 
     def test_hub_json(self):
         result = self.app.get('/ralph/json', follow_redirects=True)
@@ -134,7 +134,7 @@ class HubsAPITest(hubs.tests.APPTest):
                                    follow_redirects=True)
             self.assertEqual(result.status_code, 200)
             self.assertFalse('Not logged in.  Click to <a href="'
-                             '/login/fedora">login</a>' in result.data)
+                             '/login">login</a>' in result.data)
             self.assertTrue('<a href="#" class="dropdown-item">Full Name: '
                             'fullname: ralph</a>' in result.data)
 
@@ -204,7 +204,9 @@ class HubsAPITest(hubs.tests.APPTest):
         with tests.auth_set(app, user):
             result = self.app.get('/login', follow_redirects=False)
             self.assertEqual(result.status_code, 302)
-            self.assertEqual(urlparse(result.location).path, "/")
+            self.assertEqual(
+                urlparse(result.location).path,
+                "/openidc/Authorization")
 
     def test_hub_add_widget_get_no_args(self):
         result = self.app.get('/ralph/add', follow_redirects=False)

